org.apache.calcite.avatica.util

## Class Sources

- java.lang.Object
- - org.apache.calcite.avatica.util.Sources

    public abstract class Sources
    extends Object

Utilities for `Source`.

### Method Summary

All Methods Static Methods Concrete Methods
`static Source` `file(File baseDirectory, String fileName)`
`static Source` `of(File file)`
`static Source` `of(URL url)`
`static Source` `url(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static Source of(File file)

#### of

    public static Source of(URL url)

#### file

    public static Source file(File baseDirectory,
                              String fileName)

#### url

    public static Source url(String url)